Cache Debug
===========

Provides a mechanism to debug the cache.


## Requirements

* Optional: [Raven](https://drupal.org/project/raven) to log the response cache tags to Sentry.
  Note: supports the [Purge](https://drupal.org/project/purge) minificator from https://www.drupal.org/project/purge/issues/2952277.


## Installation

First of all download the latest release manually or using `composer require drupal/cache_debug`.

Next, simply enable the module as described in the [the module installation guide](https://www.drupal.org/docs/extending-drupal/installing-modules).


## Configuration

You can configure the cache debug loggers at `/admin/config/development/cache-debug`.


## Extending

A custom cache debug logger can be provided by creating a `CacheDebugLogger` plugin.

It must be created in `src/Plugin/CacheDebugLogger` and implement
`Drupal\cache_debug\CacheDebugLogger\CacheDebugLoggerInterface`. You can optionally extend
`Drupal\cache_debug\CacheDebugLogger\CacheDebugLoggerBase`, which already provides the isAvailable() method.
