<?php

namespace Drupal\cache_debug;

use Symfony\Component\HttpFoundation\Request;

/**
 * Interface for the cache debug service.
 */
interface CacheDebugInterface {

  /**
   * Log the cache tags for a response.
   *
   * @param string[] $cache_tags
   *   The cache tags on the response.
   * @param \Symfony\Component\HttpFoundation\Request $request
   *   The request.
   */
  public function logResponseCacheTags(array $cache_tags, Request $request): void;

  /**
   * Log invalidated cache tags.
   *
   * @param string[] $cache_tags
   *   The invalidated cache tags.
   */
  public function logInvalidatedCacheTags(array $cache_tags): void;

}
