<?php

namespace Drupal\cache_debug\CacheDebugLogger;

use Drupal\Component\Plugin\PluginInspectionInterface;

/**
 * Provides an interface for the cache debug logger plugins.
 */
interface CacheDebugLoggerInterface extends PluginInspectionInterface {

  /**
   * The type of log.
   */
  public const TYPE_RESPONSE = 'response';
  public const TYPE_INVALIDATED = 'invalidated';

  /**
   * Checks if this plugin can be used.
   *
   * @return bool
   *   TRUE if the plugin can be used.
   */
  public function isAvailable(): bool;

  /**
   * Log a set of cache tags.
   *
   * @param string $type
   *   The type of log.
   * @param string[] $cache_tags
   *   The cache tags.
   * @param string|null $description
   *   An optional description.
   */
  public function logCacheTags(string $type, array $cache_tags, ?string $description = NULL): void;

}
