<?php

namespace Drupal\cache_debug\CacheDebugLogger;

use Drupal\cache_debug\CacheDebugLogger\Annotation\CacheDebugLogger;
use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;

/**
 * Provides a plugin manager for the cache debug loggers.
 */
class CacheDebugLoggerManager extends DefaultPluginManager {

  /**
   * Class constructor.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \Drupal\Core\Cache\CacheBackendInterface $cache_backend
   *   Cache backend instance to use.
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The module handler to invoke the alter hook with.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/CacheDebugLogger',
      $namespaces,
      $module_handler,
      CacheDebugLoggerInterface::class,
      CacheDebugLogger::class
    );

    $this->alterInfo('cache_debug_logger');
    $this->setCacheBackend($cache_backend, 'cache_debug_logger');
  }

}
