<?php

namespace Drupal\cache_debug;

use Drupal\Core\Cache\CacheTagsInvalidatorInterface;

/**
 * Logs cache tags that are invalidated.
 */
class InvalidatedCacheTagsLogger implements CacheTagsInvalidatorInterface {

  /**
   * The cache debug service.
   *
   * @var \Drupal\cache_debug\CacheDebugInterface
   */
  protected CacheDebugInterface $cacheDebug;

  /**
   * Class constructor.
   *
   * @param \Drupal\cache_debug\CacheDebugInterface $cache_debug
   *   The cache debug service.
   */
  public function __construct(CacheDebugInterface $cache_debug) {
    $this->cacheDebug = $cache_debug;
  }

  /**
   * {@inheritdoc}
   */
  public function invalidateTags(array $tags) {
    $this->cacheDebug->logInvalidatedCacheTags($tags);
  }

}
